Skip to content
Start here

Get agent readiness summary

client.radar.agentReadiness.summary("CHECK"dimension, AgentReadinessSummaryParams { date, domainCategory, format, name } query?, RequestOptionsoptions?): AgentReadinessSummaryResponse { meta, summary_0 }
GET/radar/agent_readiness/summary/{dimension}

Returns a summary of AI agent readiness scores across scanned domains, grouped by the specified dimension. Data is sourced from weekly bulk scans. All values are raw domain counts.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
dimension: "CHECK"

Specifies the agent readiness data dimension by which to group the results.

query: AgentReadinessSummaryParams { date, domainCategory, format, name }
date?: string

Filters results by the specified date.

formatdate
domainCategory?: Array<string>

Filters results by domain category.

format?: "JSON" | "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
name?: Array<string>

Array of names used to label the series in the response.

ReturnsExpand Collapse
AgentReadinessSummaryResponse { meta, summary_0 }
meta: Meta { date, domainCategories, lastUpdated, 4 more }
date: string

Date of the returned scan (YYYY-MM-DD). May differ from the requested date if no scan exists for that exact date.

domainCategories: Array<DomainCategory>

Available domain sub-categories with their scan counts. Use as filter options for the domainCategory parameter.

name: string

Sub-category name.

value: number

Number of successfully scanned domains in this sub-category.

lastUpdated: string

Timestamp of the last dataset update.

formatdate-time
normalization: "PERCENTAGE" | "MIN0_MAX" | "MIN_MAX" | 5 more

Normalization method applied to the results. Refer to Normalization methods.

One of the following:
"PERCENTAGE"
"MIN0_MAX"
"MIN_MAX"
"RAW_VALUES"
"PERCENTAGE_CHANGE"
"ROLLING_AVERAGE"
"OVERLAPPED_PERCENTAGE"
"RATIO"
successfulDomains: number

Domains successfully scanned (excludes errors).

totalDomains: number

Total domains attempted in the scan.

units: Array<Unit>

Measurement units for the results.

name: string
value: string
summary_0: Record<string, string>

Get agent readiness summary

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.radar.agentReadiness.summary('CHECK');

console.log(response.meta);
{
  "result": {
    "meta": {
      "date": "2026-03-24",
      "domainCategories": [
        {
          "name": "News & Media",
          "value": 0
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "successfulDomains": 0,
      "totalDomains": 0,
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "markdownNegotiation": "45000",
      "robotsTxt": "280000"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "date": "2026-03-24",
      "domainCategories": [
        {
          "name": "News & Media",
          "value": 0
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "successfulDomains": 0,
      "totalDomains": 0,
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "summary_0": {
      "markdownNegotiation": "45000",
      "robotsTxt": "280000"
    }
  },
  "success": true
}